Loading...
Searching...
No Matches
pcl::GridProjection< PointNT >::Leaf Struct Reference

Data leaf. More...

`#include <pcl/surface/grid_projection.h>`

## Public Member Functions

| Leaf ()=default

## Public Attributes

pcl::Indices | data_indices
Eigen::Vector4f | pt_on_surface
Eigen::Vector3f | vect_at_grid_pt

## Detailed Description

template<typename PointNT>
struct pcl::GridProjection< PointNT >::Leaf

Data leaf.

Definition at line 90 of file grid_projection.h.

## Constructor & Destructor Documentation

## Leaf()

template<typename PointNT>

pcl::GridProjection< PointNT >::Leaf::Leaf | ( |  | ) |

default

## Member Data Documentation

## data_indices

template<typename PointNT>

pcl::Indices pcl::GridProjection< PointNT >::Leaf::data_indices

Definition at line 94 of file grid_projection.h.

Referenced by pcl::GridProjection< PointNT >::reconstructPolygons().

## pt_on_surface

template<typename PointNT>

Eigen::Vector4f pcl::GridProjection< PointNT >::Leaf::pt_on_surface

Definition at line 95 of file grid_projection.h.

Referenced by pcl::GridProjection< PointNT >::reconstructPolygons(), pcl::GridProjection< PointNT >::storeVectAndSurfacePoint(), and pcl::GridProjection< PointNT >::storeVectAndSurfacePointKNN().

## vect_at_grid_pt

template<typename PointNT>

Eigen::Vector3f pcl::GridProjection< PointNT >::Leaf::vect_at_grid_pt

Definition at line 96 of file grid_projection.h.

The documentation for this struct was generated from the following file:

- pcl/surface/grid_projection.h